We just released our native n8n integration!ยป Try now
OnlyFans API
Smart Links

List Smart Link Fans

Query attributed Smart Link fans with aggregate fan metrics and subscriber attribution metadata

GET
/api/smart-links/{smart_link_id}/fans
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

smart_link_id*string

The ID of the smart link.

Query Parameters

limit?integer

Rows per page. Default 100

offset?integer

Offset for pagination. Default 0

sort?string

Optional sort field. Default -revenue_net

Value in"revenue_net" | "-revenue_net" | "tips_net" | "-tips_net" | "messages_sent_by_fan" | "-messages_sent_by_fan" | "converted_at" | "-converted_at"
has_messages?boolean

Optional - Filter to fans with or without fan-sent messages

min_messages_sent_by_fan?integer

Optional minimum number of messages sent by fan

min_revenue_net?number

Optional minimum net revenue

min_tips_net?number

Optional minimum net tips

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/smart-links/vel/fans?limit=100&offset=0&sort=-revenue_net&has_messages=true&min_messages_sent_by_fan=3&min_revenue_net=25&min_tips_net=10"
{
  "data": {
    "summary": {
      "fans_total": 3,
      "revenue_net_total": 145,
      "tips_net_total": 45,
      "fans_with_3_plus_messages_total": 1
    },
    "rows": [
      {
        "fan_id": 101,
        "onlyfans_id": "100000001",
        "username": "demo_fan_a",
        "name": "Demo Fan A",
        "avatar_url": "https://cdn.example.com/avatar-a.jpg",
        "revenue_net": 90,
        "tips_net": 30,
        "messages_sent_by_fan": 4,
        "converted_at": "2026-01-12T12:00:00+00:00",
        "conversion_id": 9001,
        "click_id": "01JTESTCLICK000000000000001",
        "external_click_id": "ext-a"
      },
      {
        "fan_id": 102,
        "onlyfans_id": "100000002",
        "username": "demo_fan_b",
        "name": "Demo Fan B",
        "avatar_url": "https://cdn.example.com/avatar-b.jpg",
        "revenue_net": 40,
        "tips_net": 10,
        "messages_sent_by_fan": 2,
        "converted_at": "2026-01-10T10:00:00+00:00",
        "conversion_id": 9002,
        "click_id": "01JTESTCLICK000000000000002",
        "external_click_id": "ext-b"
      },
      {
        "fan_id": 103,
        "onlyfans_id": "100000003",
        "username": "demo_fan_c",
        "name": "Demo Fan C",
        "avatar_url": null,
        "revenue_net": 15,
        "tips_net": 5,
        "messages_sent_by_fan": 0,
        "converted_at": null,
        "conversion_id": null,
        "click_id": null,
        "external_click_id": null
      }
    ],
    "filters": {
      "limit": 100,
      "offset": 0,
      "sort": "-revenue_net",
      "has_messages": null,
      "min_messages_sent_by_fan": null,
      "min_revenue_net": null,
      "min_tips_net": null
    }
  },
  "_meta": {
    "_credits": {
      "used": 0,
      "balance": 999999,
      "note": "Free endpoint"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    }
  }
}